/* (c) https://github.com/MontiCore/monticore */
// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: simulationController.proto

package protobuf;

public interface SetMapRequestOrBuilder extends
    // @@protoc_insertion_point(interface_extends:SimulationController.SetMapRequest)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>string mapName = 1;</code>
   */
  java.lang.String getMapName();
  /**
   * <code>string mapName = 1;</code>
   */
  com.google.protobuf.ByteString
      getMapNameBytes();

  /**
   * <code>int32 totalChunk = 3;</code>
   */
  int getTotalChunk();

  /**
   * <code>int32 index = 4;</code>
   */
  int getIndex();

  /**
   * <code>repeated bytes data = 2;</code>
   */
  java.util.List<com.google.protobuf.ByteString> getDataList();
  /**
   * <code>repeated bytes data = 2;</code>
   */
  int getDataCount();
  /**
   * <code>repeated bytes data = 2;</code>
   */
  com.google.protobuf.ByteString getData(int index);
}
